#! /bin/bash
echo "DocList Version 1.8"
#	Call: docList.sh

		home="."
		tool="$home/tool"
		docName="docList"

	# ファイルの生成
	if ! [ -e docListBases.xml ]; then
		echo "基盤一覧（docListBases.xml)を生成します"
		cp "$tool/docListBases.xml" .
	fi

	echo "ファイル一覧（docListFiles.xml）を生成します"
	perl "$tool/mkDocListFiles.pl" "$tool/temp.xml"
	cat "$tool/temp.xml" | nkf -Ws > "$tool/docListFiles.xml"

	if ! [ -e "$docName.xml" ]; then
		echo "文書一覧（$docName.xml）を生成します"
		Xalan -o "$docName.xml" "$tool/docListFiles.xml" "$tool/mkDocList.xsl"
	fi

	echo "パス一覧（docListPath.xml）を生成し、文書一覧のパスを確認します"
	Xalan -o "$tool/temp.txt" "$docName.xml" "$tool/mkDocListPath.xsl"
	cat "$tool/temp.txt" | nkf -Sw > "$tool/docListPath.txt"
	perl "$tool/chkPath.pl" "$tool/docListPath.txt" > "$tool/temp.xml"
	cat "$tool/temp.xml" | nkf -Ws > "$tool/docListPath.xml"

	echo "HTML文書（docListFiles.htmlと$docName.html）を生成します"
	Xalan -o "$tool/docListFiles.html" "$tool/docListFiles.xml" "$tool/docListFiles.xsl"
	Xalan -o "docList.html" "docList.xml" "$tool/docList.xsl"
